Google Web Toolkit (Beta)
Search this site:

# Interface PopupListener

public interface PopupListener
extends EventListener
// Implemented by `MenuBar`
Event listener interface for popup events.

## Methods

onPopupClosed(PopupPanel, boolean) | Fired when the popup is closed.

## Method Detail

### onPopupClosed

public void onPopupClosed(PopupPanel sender, boolean autoClosed)
Fired when the popup is closed.

#### Parameters

sender
  popup being closed.
autoClosed
  `true` if the popup was automatically closed; `false` if it was closed programmatically.